> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nimbleway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Run

> Trigger Run



## OpenAPI

````yaml /api-reference/openapi.json post /v1/jobs/{job_id}/runs
openapi: 3.1.0
info:
  title: Nimble SDK
  version: 1.0.0
  description: The AI-Native SDK for Real-Time Web Data at scale
servers:
  - url: https://sdk.nimbleway.com
security: []
paths:
  /v1/jobs/{job_id}/runs:
    post:
      tags:
        - Jobs
      summary: Trigger Run
      description: Trigger Run
      operationId: trigger_job_run_v1_jobs__job_id__runs_post
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
        - name: token
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Token
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobRun'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    JobRun:
      properties:
        id:
          type: string
          pattern: ^run_[1-9][0-9]*$
          title: Id
          description: Unique run identifier (run_<n>).
        job_id:
          type: string
          pattern: ^job_[1-9][0-9]*$
          title: Job Id
          description: Identifier of the job this run belongs to.
        status:
          type: string
          enum:
            - PENDING
            - RUNNING
            - SUCCESS
            - FAILED
            - CANCELLED
            - TIMEOUT
            - WARNING
          title: Status
          description: Current run status.
        triggered_by:
          type: string
          enum:
            - schedule
            - manual
          title: Triggered By
          description: 'What triggered the run: ''schedule'' or ''manual''.'
        input_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Input Count
          description: Number of input records processed.
        result_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Result Count
          description: Number of result records produced.
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
          description: When the run started executing.
        finished_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finished At
          description: When the run finished.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the run was created.
      type: object
      required:
        - id
        - job_id
        - status
        - triggered_by
        - created_at
      title: JobRun
      description: A single execution of a job.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````